Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

# Class CascadingDifferencesFilter

java.lang.Object
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.AbstractDifferenceFilter
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl.CascadingDifferencesFilter

All Implemented Interfaces:
  `IDeactivableDiffFilter`, `IDifferenceFilter`

public class CascadingDifferencesFilter extends AbstractDifferenceFilter
A filter used by default that filters out cascading differences (differences located under a Match that is either ADDed or DELETEd on the diff's side). The MOVE differences are not hidden by this filter. Differences hidden are all those that match the following criteria:

- this.kind != MOVE
- this.conflict == null invalid input: '&'invalid input: '&' this.'indirect real conflicts' is empty
- this.refines is empty
- this is located inside a TreeNode that represents a Match that is either ADDed or DELETEd, and for which the diff that represents this addition or deletion is not refined by this.

Since:
  4.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.IDifferenceFilter

`IDifferenceFilter.Registry`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.AbstractDifferenceFilter

`activeByDefault, description, label`

## Constructor Summary

Constructors
Constructor
Description
`CascadingDifferencesFilter()`

## Method Summary

Modifier and Type
Method
Description
`com.google.common.base.Predicate<? super EObject>`
`getPredicateWhenSelected()`
Returns the predicate that will filter out objects in the structural differences view when this filter will be selected.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.AbstractDifferenceFilter

`defaultSelected, getDescription, getLabel, getPredicateWhenUnselected, isActive, isEnabled, setActive, setDefaultSelected, setDescription, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CascadingDifferencesFilter

public CascadingDifferencesFilter()

## Method Details

### getPredicateWhenSelected

public com.google.common.base.Predicate<? super EObject> getPredicateWhenSelected()
Description copied from class: `AbstractDifferenceFilter`
Returns the predicate that will filter out objects in the structural differences view when this filter will be selected.

Specified by:
  `getPredicateWhenSelected` in interface `IDifferenceFilter`
Specified by:
  `getPredicateWhenSelected` in class `AbstractDifferenceFilter`
Returns:
  the predicate that will filter out objects in the structural differences view when this filter will be selected.
See Also:
  - `IDifferenceFilter.getPredicateWhenSelected()`